Subject: Re: bug#44556: 27.1; Ido deletes file without configuration with C-x C-v C-k

From: Jean Louis <[email-masked]>
Date: Wed, 9 Dec 2020 23:58:56 +0300

* Lars Ingebrigtsen <[email-masked]> [2020-12-09 23:43]:
> Christopher Sean Morrison <[email-masked]> writes:
> 
> > As I said, I provided the recipe that affected me in the original
> > report — see the “For example” line.  I do not know if this issue
> > occurs in any other context, e.g., with/without Graphene and am not
> > any more available to explore those possibilities.
> 
> I interpreted your bug report to say that you needed Graphene to
> reproduce the problem, but I see now that you didn't really say that.
> 
> The recipe is:
> 
> touch file1 file2
> emacs -Q -f ido-mode file1
> C-x C-v C-k
> 
> Emacs will now say "Delete /tmp/file1 (yes or no)", and that is indeed
> pretty surprising behaviour.

When I do it, it asks nothing, as I have delete-by-moving-to-trash.

But there is one general problem with that function and that is that
C-j is close to C-k and people like me work in the dark not looking at
keyboard. C-j means to complete the file but if C-k is pressed by
mistake file will end up in trash without question and possibly get
lost.

It is good to remove the malfunction from key bindings. Better is to
remove it completely.